Bug 249339 - databases/ldb15: Update to 1.5.8
Summary: databases/ldb15: Update to 1.5.8
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Timur I. Bakeyev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-15 16:14 UTC by Rick
Modified: 2020-10-05 17:52 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (timur)


Attachments
Update patch for ldb 1.5.8 (992 bytes, text/plain)
2020-09-15 16:14 UTC, Rick
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rick 2020-09-15 16:14:43 UTC
Created attachment 217972 [details]
Update patch for ldb 1.5.8

attached patch updates databases/ldb15 to ldb 1.5.8 from 1.5.6
Comment 1 Timur I. Bakeyev freebsd_committer 2020-09-21 00:10:06 UTC
Hi, Rick!

While I don't see much harm in such an upgrade(self tests succeed), is there any particular reason to upgrade almost obsolete library with potential danger to break Samba 4.10?
Comment 2 Rick 2020-10-05 17:52:04 UTC
(In reply to Timur I. Bakeyev from comment #1)

net/samba410 fails as demonstrated below with SAMBA4_BUNDLED_LDB=no. The message indicates LDB 1.5.[89]* is necessary for Samba 4.10 when using the system LDB, but databases/ldb15 is 1.5.6. It seems samab410 is already broken particularly when using system LDB as opposed to bundled LDB.


Checking for system pyldb-util (>=1.5.8 <=1.5.999)                                : not found 
ERROR: System library pyldb-util of version 1.5.8 not found, and bundling disabled
===>  Script "configure" failed unexpectedly.
Please report the problem to timur@FreeBSD.org [maintainer] and attach the
"/wrkdirs/usr/ports/net/samba410/work/samba-4.10.17/bin/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/net/samba410
=>> Cleaning up wrkdir
===>  Cleaning for samba410-4.10.17